For the complete documentation index, see llms.txt.

Orders
GET/api/orders

Get Order(s)

Get order details by either order_id or order_number. If neither order_id or order_number is provided, this endpoint can be used to return multiple orders that match the criteria.

View as MarkdownCopy for LLM

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders

Details

Get order details by either order_id or order_number. If neither order_id or order_number is provided, this endpoint can be used to return multiple orders that match the criteria.

Request Parameters

Parameter Description Example Value Accepted Values
order_id (optional) The unique numeric identifier for the order 12345 Any integer
order_number (optional) The identifier of the order pulled from source e-Commerce platform #1234 Any
status (optional) The order status to filter orders for (default: unshipped) Unshipped Unshipped, Shipped, Printed
filter (optional) See the Filters section on how to use this. Order:::#1234
include (optional) Allows additional objects and values to be included in the response. To specify multiple inclusions, just use multiple Include parameters. Account_Summary Account_Summary, Shipment_Attributes, Sender_Details, Destination, Items, Packages, Metadatas, Events, Shipping_Price
sort_column (optional) Order field to sort the orders returned by Address Address, Carrier, Name, Country, Date (order_date), Items, Manifest (manifest_number), Order (order_number), Product, Quantity, ShippedDate, ShippingDescription, ShippingMethod, SKU, StockOnHand, Platform, State, Status (order status), Weight, Writeback (writeback_status)
sort_direction (optional) Direction of the sort applied with sort_column. (Default: Descending) Ascending Ascending, Descending
page_number (optional) Page number to return (default: 1) 1 Any integer
page_size (optional) Number of results to return (default: 500, maximum: 500) 10 1, 2, 3, ... 500

Get Order Response

Attribute Type Description
order object list List of order details (Full Order Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

Get Order by order id (200)
{
   "order":{
      "order_id":1020304051,
      "order_date":"2020-04-29T22:46:59.7155669Z",
      "order_number":"10001",
      "reference":"Online Order",
      "carrier":"AusPost",
      "carrier_name":"Australia Post",
      "carrier_service_code":"7B05",
      "shipping_method":"Express Shipping",
      "signature_required":false,
      "dangerous_goods":false,
      "destination":{
         "name":"John Smith",
         "phone":"0290988227",
         "street":"20 George Street",
         "suburb":"Sydney",
         "state":"NSW",
         "post_code":"2000",
         "country":"Australia",
         "delivery_instructions":"Leave at door"
      },
      "items":[
         {
            "item_id":1065580746,
            "description":"Mobile Phone",
            "sku":"MOBILE",
            "quantity":1,
            "quantity_to_ship":0,
            "weight":0.65,
            "value":125
         },
         {
            "item_id":1065580747,
            "description":"Mobile Case (Black)",
            "sku":"MOBILE-CASE-BLK",
            "quantity":1,
            "quantity_to_ship":0,
            "weight":0.05,
            "value":20
         }
      ],
      "packages":[
         {
            "package_id":1035548017,
            "weight":0.7,
            "height":0.04,
            "width":0.08,
            "length":0.12
         }
      ],
      "declared_value":0
   },
   "success":true
}
Get Order by order number (200)
{
   "order":{
      "order_id":1020304051,
      "order_date":"2020-04-29T22:46:59.7155669Z",
      "order_number":"10001",
      "reference":"Online Order",
      "carrier":"AusPost",
      "carrier_name":"Australia Post",
      "carrier_service_code":"7B05",
      "shipping_method":"Express Shipping",
      "signature_required":false,
      "dangerous_goods":false,
      "destination":{
         "name":"John Smith",
         "phone":"0290988227",
         "street":"20 George Street",
         "suburb":"Sydney",
         "state":"NSW",
         "post_code":"2000",
         "country":"Australia",
         "delivery_instructions":"Leave at door"
      },
      "items":[
         {
            "item_id":1065580746,
            "description":"Mobile Phone",
            "sku":"MOBILE",
            "quantity":1,
            "quantity_to_ship":0,
            "weight":0.65,
            "value":125
         },
         {
            "item_id":1065580747,
            "description":"Mobile Case (Black)",
            "sku":"MOBILE-CASE-BLK",
            "quantity":1,
            "quantity_to_ship":0,
            "weight":0.05,
            "value":20
         }
      ],
      "packages":[
         {
            "package_id":1035548017,
            "weight":0.7,
            "height":0.04,
            "width":0.08,
            "length":0.12
         }
      ],
      "declared_value":0
   },
   "success":true
}

Related endpoints